Bug 398741 - Installing tcl-devel 8.4 via yum erases half of the system
Installing tcl-devel 8.4 via yum erases half of the system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 16:42 EST by Deajan
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deajan 2007-11-25 16:42:07 EST
Description of problem:
When installing tcl-devel 8.4 via yum, quite every single package is updated/
erased.

Version-Release number of selected component (if applicable):
Fedora 8 2.6.23.1-49.fc8

How reproducible:
try install tcl-devel tcl-devel-8.4.15-5.fc8 via graphical yum interface (be 
careful it will make your system unusable)

Steps to Reproduce:
1. Run graphical yum as root
2. search for tcl-devel tcl-devel-8.4.15-5.fc8
3. try to install it and see
  
Actual results:
System icons disappear, most apps are erased, cannot reboot to X server.

Expected results:
Just needed tcl-devel to compile 8Kingdoms game.

Additional info:
Comment 1 Deajan 2007-11-26 06:29:05 EST
After reboot got message id 'X' respawning too fast...
btw. programs like firefox are erased
Comment 2 Deajan 2007-11-26 07:46:29 EST
Sorry i'm not trying to flood, but here's some info that might be important 
about the Fedora installation i had that made up that bug:
- Fedora 8 with gnome, without any KDE or server package, developpment packages 
were installed, still wonder why tcl-devel package was missing actually.
I guess if i've had installed whole Fedora DVD the tcl-devel package would 
already have been there and thus not erased half of my system (sorry can't give 
better explanation, being noob :) But i still wonder what would happen if 
someone updates his tcl & tcl-devel packages on F8.
Comment 3 Seth Vidal 2007-11-26 09:35:28 EST
which graphical yum interface did you use? Can you check your /var/log/yum.log
and look for the date stamp of this? I'm curious what was in the transaction.
Comment 4 Deajan 2007-11-26 16:07:01 EST
(In reply to comment #3)
> which graphical yum interface did you use? Can you check your /var/log/yum.log
> and look for the date stamp of this? I'm curious what was in the transaction.

Already reinstalled, sorry. Btw tried to reinstall tcl-devel, this time it
worked. :(
Comment 5 Seth Vidal 2007-11-26 16:58:27 EST
okay well, I can't recreate this and that makes this a bit impossible to debug.
Comment 6 Deajan 2008-01-06 12:52:29 EST
(In reply to comment #5)
> okay well, I can't recreate this and that makes this a bit impossible to debug.
> 

Hello, 

Deajan again, i had the same bug while installing jack-audioconnection-kit
This time, i kept the installation so i'd like you to re-examine that case by
supplying the /var/log/yum.log file. Could you please tell me if you will handle
that?
Comment 7 Seth Vidal 2008-03-12 11:56:17 EDT
the yum log file won't really help but sure, attach it.
Comment 8 Jeremy Katz 2008-05-28 15:58:09 EDT
Closing due to inactivity; please reopen if you continue to see this problem or
have more information to add to this report

Note You need to log in before you can comment on or make changes to this bug.